X = {}
X.__index = X

function X.LoadAssets(me)
	LoadModel(me,"X","Animated")
end

function X:Create(me)
	SetPower(me,0)
	SetHealth(me,1000)
	self.data = 0
end

function X:Collide(me, you)
	DamagePlayer(me,GetPower(you))
	--SetPlayerState("EnemyCollision")
	power = GetPower(you)
	AddHealth(me, -power)
end

function X:Update(me)
end

function X:Death(me)
	--Quit the game for now to avoid a crash lolz
	--child = CreateObject(me,"Boom","PlayerFX", 0,11,1,false)
	--MoveObject(child,40,8)
	KillPlayer(me);
end
function X:CollideCeiling(me)
	SetPlayerState("OnCeiling")
	SetVelocity(me,0,0)
	--CreateEmitter("Null", GetPosition(me))
end

function X:CustomEvent(me)
	x,y = GetPosition(me)
	x = x + 64* GetDirection(me)
	y = y - 32
	CreateEmitter("Null", x,y)
end

function X:CollideWorld(me)
	PlaySoundEffect(1)
	
end

function X:WorldCollision(me)
	
end